Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface RegistryObjectListType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LeafRegistryObjectListType, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryObjectListTypeImpl

    public interface RegistryObjectListType

extends LeafRegistryObjectListType

A representation of the model object 'Registry Object List Type'.

The following features are supported:

- `Group1`
- `Registry Entry`
- `Registry Object`

See Also:
  `RimPackage.getRegistryObjectListType()`

Method Summary
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup1()` Returns the value of the 'Group1' attribute list.
`org.eclipse.emf.common.util.EList` | `getRegistryEntry()` Returns the value of the 'Registry Entry' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRegistryObject()` Returns the value of the 'Registry Object' containment reference list.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rim.LeafRegistryObjectListType
`getAssociation, getAuditableEvent, getClassification, getClassificationNode, getClassificationScheme, getExternalIdentifier, getExternalLink, getExtrinsicObject, getGroup, getObjectRef, getOrganization, getRegistryPackage, getService, getServiceBinding, getSpecificationLink, getUser`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroup1

    org.eclipse.emf.ecore.util.FeatureMap getGroup1()

  Returns the value of the 'Group1' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group1' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group1' attribute list.
  See Also:
    `RimPackage.getRegistryObjectListType_Group1()`

### getRegistryEntry

    org.eclipse.emf.common.util.EList getRegistryEntry()

  Returns the value of the 'Registry Entry' containment reference list. The list contents are of type `RegistryEntryType`.

  If the meaning of the 'Registry Entry' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry' containment reference list.
  See Also:
    `RimPackage.getRegistryObjectListType_RegistryEntry()`

### getRegistryObject

    org.eclipse.emf.common.util.EList getRegistryObject()

  Returns the value of the 'Registry Object' containment reference list. The list contents are of type `RegistryObjectType`.

  If the meaning of the 'Registry Object' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object' containment reference list.
  See Also:
    `RimPackage.getRegistryObjectListType_RegistryObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD